Bulk Vin Connect
curl --request POST \
--url https://api.volteras.com/v1/vehicles/connect \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"vehicles": [
{
"vin": "<string>",
"countryCode": "<string>",
"registrationPlate": "<string>",
"model": "<string>",
"modelYear": 123,
"batteryCapacity": 123,
"horsepower": 123,
"generation": "<string>",
"wltpRange": 123,
"registrationDate": "2023-12-25",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
]
}
'import requests
url = "https://api.volteras.com/v1/vehicles/connect"
payload = { "vehicles": [
{
"vin": "<string>",
"countryCode": "<string>",
"registrationPlate": "<string>",
"model": "<string>",
"modelYear": 123,
"batteryCapacity": 123,
"horsepower": 123,
"generation": "<string>",
"wltpRange": 123,
"registrationDate": "2023-12-25",
"tags": [
{
"key": "<string>",
"value": "<string>"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
vehicles: [
{
vin: '<string>',
countryCode: '<string>',
registrationPlate: '<string>',
model: '<string>',
modelYear: 123,
batteryCapacity: 123,
horsepower: 123,
generation: '<string>',
wltpRange: 123,
registrationDate: '2023-12-25',
tags: [{key: '<string>', value: '<string>'}]
}
]
})
};
fetch('https://api.volteras.com/v1/vehicles/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Vehicle Connection
Bulk Vin Connect
Connect multiple VINs to the current organization. By default this endpoint is not enabled for organizations, please contact us to get access. Limited to 100 VINs per request.
Possible Codes in Error Response (see Errors for error response schema and meaning of codes):
- AUTHENTICATION_ERROR
- DEVICE_LIMIT_REACHED
- NOT_PERMITTED
- REQUEST_VALIDATION_ERROR
- RESOURCE_NOT_FOUND
- SERVER_ERROR
POST
/
v1
/
vehicles
/
connect
Bulk Vin Connect
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Request model to connect multiple VINs
The vehicles to connect
Maximum array length:
100Show child attributes
Show child attributes
⌘I

